#ifndef _ETHERNETIF_H_
#define _ETHERNETIF_H_

#include "lwip/netif.h"

extern struct netif ch390_netif;

struct ethernetif {
    uint16_t rx_len;
    uint8_t rx_status;
};

void lwip_netif_init(const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw);
err_t ethernetif_init(struct netif *netif);
void ethernetif_input(struct netif *netif);
void ethernetif_check_link(void);
void ethernetif_poll(void);
void ethernetif_set_irq_pending(void);
uint8_t ethernetif_is_irq_pending(void);

#endif
